commit:     9840f8c8a1850dac80dd67283110d67d104f481e
Author:     Vadim A. Misbakh-Soloviov <git <AT> mva <DOT> name>
AuthorDate: Sat Aug 31 13:54:15 2019 +0000
Commit:     Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Sat Aug 31 13:54:15 2019 +0000
URL:        https://gitweb.gentoo.org/proj/gamerlay.git/commit/?id=9840f8c8

amnesia: bump&fix; vcmi: bump

 games-rpg/amnesia-tdd/amnesia-tdd-1.2.1.ebuild     | 295 ---------------------
 games-rpg/amnesia-tdd/amnesia-tdd-1.3.ebuild       | 184 +++++++++++++
 games-rpg/amnesia-tdd/files/Amnesia.png            | Bin 0 -> 116407 bytes
 ...vcmi-data-0.90.ebuild => vcmi-data-0.99.ebuild} |   4 +-
 games-strategy/vcmi/vcmi-0.98.ebuild               |  79 ------
 games-strategy/vcmi/vcmi-0.99.ebuild               |  71 +++++
 6 files changed, 257 insertions(+), 376 deletions(-)

diff --git a/games-rpg/amnesia-tdd/amnesia-tdd-1.2.1.ebuild 
b/games-rpg/amnesia-tdd/amnesia-tdd-1.2.1.ebuild
deleted file mode 100644
index a9ccb02..0000000
--- a/games-rpg/amnesia-tdd/amnesia-tdd-1.2.1.ebuild
+++ /dev/null
@@ -1,295 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=3
-
-inherit check-reqs eutils games unpacker
-
-MY_PN="${PN//-/_}"
-MY_ARCH="${ARCH/amd64/x86_64}"
-MY_REV="-3"
-
-DESCRIPTION="Amnesia: The Dark Descent is a first person survival horror. A 
game about immersion, discovery and living through a nightmare."
-HOMEPAGE="http://www.amnesiagame.com/";
-SRC_URI="${MY_PN}-${PV}${MY_REV}.sh"
-
-RESTRICT="fetch strip"
-LICENSE="Frictional_Games-EULA"
-
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc linguas_de linguas_es linguas_fr linguas_it linguas_ru"
-
-DEPEND="app-arch/xz-utils"
-RDEPEND="media-libs/freealut
-       >=media-libs/glew-1.5
-       media-libs/jpeg:62
-       media-libs/libpng:1.2
-       media-libs/libtheora
-       media-libs/libvorbis
-       media-libs/openal
-       media-libs/sdl-image
-       media-libs/sdl-ttf
-       sys-libs/zlib
-       x11-libs/libxcb
-       x11-libs/libXext
-       virtual/glu
-       virtual/opengl"
-
-S="${WORKDIR}/${PN}"
-
-GAMEDIR="${GAMES_PREFIX_OPT}/${PN}"
-
-pkg_nofetch() {
-       einfo ""
-       einfo "Please buy and download \"${SRC_URI}\" from:"
-       einfo "  ${HOMEPAGE}"
-       einfo "and move/link it to \"${DISTDIR}\""
-       einfo ""
-}
-
-pkg_setup() {
-       CHECKREQS_DISK_BUILD="3500M"
-       check-reqs_pkg_setup
-       games_pkg_setup
-}
-
-src_unpack() {
-       einfo "\nUnpacking files.  This will take several minutes.\n"
-
-       mkdir "tmp" || die "mkdir 'tmp' failed"
-       cd "./tmp" || die "cd 'tmp' failed"
-
-       unpack_makeself || die "unpack_makeself failed"
-
-       mv "instarchive_all" "../${P}.tar.lzma" || die "move 'instarchive_all' 
failed"
-       mv "instarchive_all_${MY_ARCH}" "../${P}-${MY_ARCH}.tar.lzma" || die 
"move 'instarchive_all_${MY_ARCH}' failed"
-
-       cd "${WORKDIR}" || die "cd '${WORKDIR}' failed"
-       rm -rf "./tmp"
-
-       # This version is packed incorrectly and lzma will 'fail' at end of 
unpack
-       #       output tarball is ok, though, decompress manually to skip
-       #       unpack error checking of the LZMA decompression
-       echo ">>> Unpacking ./${P}.tar.lzma to 
/tmp/portage/games-rpg/amnesia-tdd-1.2.1/work"
-       xz -F lzma -d -c "./${P}.tar.lzma" 2>/dev/null | tar xf - \
-               || die "unpacking '${P}.tar.lzma' failed"
-       rm "./${P}.tar.lzma"
-
-       unpack "./${P}-${MY_ARCH}.tar.lzma" || die "unpack 
'${P}-${MY_ARCH}.tar.lzma' failed"
-       rm "./${P}-${MY_ARCH}.tar.lzma"
-
-       mv "Amnesia" "${PN}" || die "mv 'Amnesia' failed"
-
-       # libfltk.so.1.1 is needed because it's no longer in portage
-       mv "${S}"/libs*/all/libfltk* "${S}"/libs*/
-}
-
-src_prepare() {
-       # Files to remove.
-       REMOVE="libs*/*
-               *.pdf
-               *.rtf
-               *.sh"
-
-       # Files to keep.
-       # Bundled LibIL (media-libs/devil) isn't in portage as too old
-       KEEP="libs*/libIL*
-               libs*/libfltk*"
-
-       # Collect infos about languages...
-       LINGUAS_ARRAY=()                # Linguas - string: E.g.: "linguas_en"
-       LANG_ARRAY=()                   # Lang - string: E.g.: "en"
-       LANGUAGE_ARRAY=()               # Language - string: E.g.: "english"
-       LANGUAGE_SHORT_ARRAY=()         # Language Short - string: E.g.: "eng"
-       USE_ARRAY=()                    # Used - bool (0,1)
-
-       local linguas_in_use="0"
-       for use in ${IUSE}
-       do
-               if [[ "${use%%_*}" == "linguas" ]]
-               then
-                       local tmp="${use}"
-                       LINGUAS_ARRAY=(${LINGUAS_ARRAY[@]} "${tmp}")
-
-                       tmp="${tmp##linguas_}"
-                       LANG_ARRAY=(${LANG_ARRAY[@]} "${tmp}")
-
-                       case "${tmp}" in
-                           "de") tmp="german";;
-                           "es") tmp="spanish";;
-                           "fr") tmp="french";;
-                           "it") tmp="italian";;
-                           "ru") tmp="russian";;
-                           *) tmp="";;
-                       esac
-                       LANGUAGE_ARRAY=(${LANGUAGE_ARRAY[@]} "${tmp}")
-                       LANGUAGE_SHORT_ARRAY=(${LANGUAGE_SHORT_ARRAY[@]} 
"${tmp:0:3}")
-
-                       if use ${use}
-                       then
-                               USE_ARRAY=(${USE_ARRAY[@]} "1")
-                               linguas_in_use="$(( ${linguas_in_use} + 1 ))"
-                       else
-                               USE_ARRAY=(${USE_ARRAY[@]} "0")
-                       fi
-               fi
-       done
-
-       # ...then process them.
-       local n="0"
-       local docs_eng="0"
-       while [[ "${n}" -lt "${#LINGUAS_ARRAY[@]}" ]]
-       do
-               if [[ "${USE_ARRAY[${n}]}" -gt "0" ]]
-               then
-                       # If only one lang is selected, use it as default.
-                       if [[ "${linguas_in_use}" == "1" ]]
-                       then
-                               sed -e 
"s#english.lang#${LANGUAGE_ARRAY[${n}]}.lang#g" \
-                                   -i config/*main_init.cfg || die "sed 
\"config/*main_init.cfg\" failed"
-                       fi
-               else
-                       REMOVE="${REMOVE} $(find config -type f -name 
"*${LANGUAGE_ARRAY[${n}]}.lang")"
-                       if [[ -d "lang/${LANGUAGE_SHORT_ARRAY[${n}]}" ]]
-                       then
-                               REMOVE="${REMOVE} 
lang/${LANGUAGE_SHORT_ARRAY[${n}]}"
-                       fi
-               fi
-
-               if use doc
-               then
-                       if [[ -f "EULA_${LANG_ARRAY[${n}]}.rtf" && -f 
"Manual_${LANG_ARRAY[${n}]}.pdf" ]]
-                       then
-                               KEEP="${KEEP} EULA_${LANG_ARRAY[${n}]}.rtf 
Manual_${LANG_ARRAY[${n}]}.pdf"
-                       else
-                               local docs_eng="1"
-                       fi
-               fi
-
-               n="$(( ${n} + 1 ))"
-       done
-
-       if use doc && [[ ( "${linguas_in_use}" == "0" || "${docs_eng}" != "0" ) 
]]
-       then
-               KEEP="${KEEP} EULA_en.rtf Manual_en.pdf Remember*.pdf"
-       fi
-
-       einfo " Removing useless files ..."
-       for remove in ${REMOVE}
-       do
-               local removable="1"
-               for keep in ${KEEP}
-               do
-                       if [[ "${remove}" == "${keep}" && "${removable}" == "1" 
]]
-                       then
-                               local removable="0"
-                       fi
-               done
-
-               if [[ "${removable}" == "1" ]]
-               then
-                       rm -r "${S}/"${remove} &> /dev/null
-               fi
-       done
-
-       if use amd64
-       then
-               mv "Amnesia.bin64" "Amnesia.bin" || die "mv \"Amnesia.bin64\" 
failed"
-               mv "Launcher.bin64" "Launcher.bin" || die "mv 
\"Launcher.bin64\" failed"
-       fi
-}
-
-src_install() {
-       # Install data
-       insinto "${GAMEDIR}"
-
-       einfo " Installing game data files ..."
-       for directory in $(find * -maxdepth 0 -type d ! -name "libs*")
-       do
-               doins -r ${directory} || die "doins game data files failed"
-       done
-
-       # Other files
-       find . -maxdepth 1 -type f ! -name "*.bin" \
-                                  ! -name "*.pdf" \
-                                  ! -name "*.png" \
-                                  ! -name "*.rtf" \
-                                  ! -name "*.sh" \
-                                  -exec doins '{}' \; || die "doins other 
files failed"
-
-
-       # Install libraries and executables
-       einfo " Installing libraries and executables ..."
-       if use amd64
-       then
-               local libsdir="${GAMEDIR}/libs64"
-       else
-               local libsdir="${GAMEDIR}/libs"
-       fi
-
-       exeinto "${libsdir}" || die "exeinto \"${libsdir}\" failed"
-       doexe libs*/* || die "doexe \"libs\" failed"
-
-       dosym "/usr/$(get_libdir)/libGLEW.so" "${libsdir}/libGLEW.so.1.5"
-
-       exeinto "${GAMEDIR}" || die "exeinto \"${GAMEDIR}\" failed"
-       doexe *.bin || die "doexe \".bin\" binaries failed"
-
-
-       # Make game wrapper
-       dodir "${GAMES_BINDIR}" || die "dodir \"${GAMES_BINDIR}\" failed"
-
-       local wrapper="${D}/${GAMES_BINDIR}/${PN}"
-       local ext="${PN}-justine"
-       touch "${wrapper}" || die "touch \"${wrapper}\" failed"
-       ln -s "${wrapper}" "${D}/${GAMES_BINDIR}/${ext}" || die "ln -s 
\"${ext}\" failed"
-
-       cat << EOF >> "${wrapper}" || die "echo failed"
-#!/bin/sh
-cd "${GAMEDIR}"
-
-if [[ "\$(basename "\${0}")" == "${ext}" ]]
-then
-  params="ptest \${@}"
-fi
-
-if [[ -w "\${HOME}/.frictionalgames/Amnesia/Main/main_settings.cfg" ]]
-then
-  exec ./Amnesia.bin \${params:-"\${@}"}
-else
-  exec ./Launcher.bin "\${@}"
-fi
-EOF
-
-
-       # Install icon and desktop file
-       newicon "Amnesia.png" "${PN}.png" || die "newicon failed"
-       make_desktop_entry "${PN}" "Amnesia: The Dark Descent" "${PN}" || die 
"make_desktop_entry failed"
-       make_desktop_entry "${ext}" "Amnesia: The Dark Descent - Justine" 
"${PN}" || die "make_desktop_entry failed"
-
-
-       # Install documentation
-       if use doc
-       then
-               dodoc *.rtf *.pdf || die "dodoc failed"
-       fi
-
-
-       # Setting permissions.
-       einfo " Setting permissions ..."
-       prepgamesdirs
-}
-
-pkg_postinst() {
-       ewarn ""
-       ewarn "Amnesia: The Dark Descent needs video drivers that provide a 
complete".
-       ewarn "GLSL 1.20 implementation.  For more information, please visit:"
-       ewarn "http://www.frictionalgames.com/forum/thread-3760.html";
-       ewarn ""
-       ewarn 
"--------------------------------------------------------------------"
-       ewarn ""
-       ewarn "Saved games from previous versions may not be fully compatible."
-       ewarn ""
-}

diff --git a/games-rpg/amnesia-tdd/amnesia-tdd-1.3.ebuild 
b/games-rpg/amnesia-tdd/amnesia-tdd-1.3.ebuild
new file mode 100644
index 0000000..00daa9b
--- /dev/null
+++ b/games-rpg/amnesia-tdd/amnesia-tdd-1.3.ebuild
@@ -0,0 +1,184 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=7
+
+inherit desktop
+
+MY_PN="Amnesia The Dark Decent"
+MY_SRC_PN="Amnesia_The_Dark_Descent"
+# ^ upstream did a typo (Decent vs Descent)
+
+DESCRIPTION="A first person survival horror. Immersion, discovery and living 
in a nightmare."
+HOMEPAGE="http://www.amnesiagame.com/";
+SRC_URI="${MY_SRC_PN}_Linux.zip"
+
+RESTRICT="fetch strip bindist"
+LICENSE="Frictional_Games-EULA"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc linguas_de linguas_es linguas_fr linguas_it linguas_ru"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND="media-libs/freealut
+       >=media-libs/glew-1.5
+       media-libs/jpeg:62
+       media-libs/libpng:1.2
+       media-libs/libtheora
+       media-libs/libvorbis
+       media-libs/openal
+       media-libs/sdl-image
+       media-libs/sdl-ttf
+       sys-libs/zlib
+       x11-libs/libxcb
+       x11-libs/libXext
+       virtual/glu
+       virtual/opengl"
+
+S="${WORKDIR}/${MY_PN}"
+
+GAMEDIR="/usr/share/${P}"
+
+pkg_nofetch() {
+       einfo ""
+       einfo "Please buy and download \"${SRC_URI}\" from:"
+       einfo "  ${HOMEPAGE} (or HumbleBundle or GOG)"
+       einfo "and move/link it to \"${DISTDIR}\""
+       einfo ""
+}
+
+src_prepare() {
+       default
+       local arch archdrop libdir liddropdir
+
+       if use amd64; then
+               arch="x86_64"
+               archdrop="x86"
+               libdir="lib64"
+               libdropdir="lib"
+       else
+               arch="x86"
+               archdrop="x86_64"
+               libdir="lib"
+               libdropdir="lib64"
+       fi
+       # Files to remove.
+       REMOVE=(
+               "${libdir}/*"
+               "*.pdf"
+               "*.rtf"
+               "*.bin.${archdrop}"
+               "*.sh"
+               "${libdropdir}"
+       )
+
+
+       KEEP=("${libdir}/libsteam_api.so")
+
+       if use doc && [[ ( "${linguas_in_use}" == "0" || "${docs_eng}" != "0" ) 
]]; then
+               KEEP="${KEEP} EULA_en.rtf Manual_en.pdf Remember*.pdf 
*ChangeLog*"
+       fi
+
+       mv "Amnesia.bin.${arch}" "Amnesia.bin" || die "mv \"Amnesia.bin64\" 
failed"
+       mv "Launcher.bin.${arch}" "Launcher.bin" || die "mv \"Launcher.bin64\" 
failed"
+
+       einfo " Removing useless files ..."
+       for remove in ${REMOVE[@]}; do
+               local removable="1"
+               for keep in ${KEEP[@]}; do
+                       if [[ "${remove}" == "${keep}" && "${removable}" == "1" 
]]; then
+                               local removable="0"
+                       fi
+               done
+
+               if [[ "${removable}" == "1" ]]; then
+                       rm -r "${S}/"${remove} &> /dev/null
+               fi
+       done
+}
+
+src_install() {
+       # Install data
+       insinto "${GAMEDIR}"
+
+       einfo " Installing game data files ..."
+       for directory in $(find * -maxdepth 0 -type d ! -name "lib*"); do
+               doins -r ${directory} || die "doins game data files failed"
+       done
+
+       # Other files
+       find . \
+               -maxdepth 1 \
+               -type f \
+               ! -name "*.bin" \
+               ! -name "*.pdf" \
+               ! -name "*.png" \
+               ! -name "*.rtf" \
+               ! -name "*.sh" \
+               ! -name "*.txt" \
+               -exec doins '{}' \; || die "doins other files failed"
+
+
+       # Install libraries and executables
+       einfo " Installing libraries and executables ..."
+       if use amd64; then
+               local libsdir="lib64"
+       else
+               local libsdir="lib"
+       fi
+
+       exeinto "${GAMEDIR}/${libsdir}" || die "exeinto \"${libsdir}\" failed"
+       doexe "${libsdir}"/* || die "doexe \"lib\" failed"
+
+       exeinto "${GAMEDIR}" || die "exeinto \"${GAMEDIR}\" failed"
+       doexe ./*.bin || die "doexe failed"
+       local ext="${PN}-justine"
+
+       cat << EOF >> "${PN}" || die "echo failed"
+#!/bin/sh
+cd "${GAMEDIR}"
+
+if [[ "\$(basename "\${0}")" == "${ext}" ]]; then
+       params="ptest \${@}"
+fi
+
+if [[ -w "\${HOME}/.frictionalgames/Amnesia/Main/main_settings.cfg" ]]; then
+       exec ./Amnesia.bin \${params:-"\${@}"}
+else
+       exec ./Launcher.bin "\${@}"
+fi
+EOF
+
+       dobin "${PN}" || die "dobin failed"
+       dosym "${PN}" "${EROOT}/usr/bin/${ext}" || die "dosym \"${ext}\" failed"
+
+       # Install icon and desktop file
+       newicon "${FILESDIR}/Amnesia.png" "${PN}.png" || die "newicon failed"
+       make_desktop_entry "${PN}" "Amnesia: The Dark Descent" "${PN}" || die 
"make_desktop_entry failed"
+       make_desktop_entry "${ext}" "Amnesia: The Dark Descent - Justine" 
"${PN}" || die "make_desktop_entry failed"
+
+       # Install documentation
+       if use doc; then
+               dodoc *.rtf *.pdf *.txt || die "dodoc failed"
+       fi
+}
+
+pkg_postinst() {
+       ewarn ""
+       ewarn "Amnesia: The Dark Descent needs video drivers that provide a 
complete".
+       ewarn "GLSL 1.20 implementation.  For more information, please visit:"
+       ewarn "http://www.frictionalgames.com/forum/thread-3760.html";
+       ewarn ""
+       ewarn 
"--------------------------------------------------------------------"
+       ewarn ""
+       ewarn "Saved games from previous versions may not be fully compatible."
+       ewarn ""
+       ewarn 
"--------------------------------------------------------------------"
+       ewarn ""
+       ewarn "Also, be noticed that Launcher binary can segfault on Intel 
videocards,"
+       ewarn "so you'll need to manually create 
~/.frictionalgames/Amnesia/Main/main_settings.cfg"
+       ewarn "(to pass wrapper check to directly run the game instead of 
launcher)"
+       ewarn ""
+}

diff --git a/games-rpg/amnesia-tdd/files/Amnesia.png 
b/games-rpg/amnesia-tdd/files/Amnesia.png
new file mode 100644
index 0000000..085e040
Binary files /dev/null and b/games-rpg/amnesia-tdd/files/Amnesia.png differ

diff --git a/games-strategy/vcmi-data/vcmi-data-0.90.ebuild 
b/games-strategy/vcmi-data/vcmi-data-0.99.ebuild
similarity index 89%
rename from games-strategy/vcmi-data/vcmi-data-0.90.ebuild
rename to games-strategy/vcmi-data/vcmi-data-0.99.ebuild
index b66c6d3..8f0571e 100644
--- a/games-strategy/vcmi-data/vcmi-data-0.90.ebuild
+++ b/games-strategy/vcmi-data/vcmi-data-0.99.ebuild
@@ -10,8 +10,8 @@ DESCRIPTION="Core data for vcmi"
 HOMEPAGE="http://forum.vcmi.eu/index.php";
 MY_P="core"
 SRC_URI="
-       http://download.vcmi.eu/core.zip
-       http://download.vcmi.eu/WoG/wog.zip
+       http://download.vcmi.eu/core.zip -> ${PN}-core-${PV}.zip
+       http://download.vcmi.eu/WoG/wog.zip -> ${PN}-wog-${PV}.zip
 "
 
 LICENSE="GPL-2"

diff --git a/games-strategy/vcmi/vcmi-0.98.ebuild 
b/games-strategy/vcmi/vcmi-0.98.ebuild
deleted file mode 100644
index 80ff809..0000000
--- a/games-strategy/vcmi/vcmi-0.98.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-inherit eutils games cmake-utils
-
-DESCRIPTION="Heroes of Might and Magic III game engine rewrite"
-HOMEPAGE="http://forum.vcmi.eu/index.php";
-SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86 ~amd64"
-IUSE="debug editor launcher +erm"
-
-CDEPEND="
-       media-libs/libsdl2[video]
-       media-libs/sdl2-image
-       media-libs/sdl2-mixer
-       media-libs/sdl2-ttf
-       virtual/ffmpeg
-       sys-libs/zlib[minizip]
-       editor? (
-               dev-qt/qtgui
-               dev-qt/qtcore
-               dev-qt/qtwidgets
-       )
-       launcher? (
-               dev-qt/qtgui
-               dev-qt/qtcore
-               dev-qt/qtnetwork
-               dev-qt/qtwidgets
-       )
-       dev-libs/fuzzylite
-"
-
-DEPEND="
-       >dev-libs/boost-1.48.0
-       virtual/pkgconfig
-       ${CDEPEND}
-"
-RDEPEND="
-       ${CDEPEND}
-"
-PDEPEND="
-       games-strategy/vcmi-data
-"
-
-src_configure() {
-       local MY_DATADIR="${GAMES_DATADIR#/usr/}/${PN}"
-       local MY_GAMESLIBDIR=$(games_get_libdir)
-       local MY_LIBDIR=${MY_GAMESLIBDIR#/usr/}
-       local MY_BINDIR=${GAMES_BINDIR#/usr/}
-
-       use editor && ewarn "Editor seems to be broken. At least, it fails to 
build for me"
-       use debug || ewarn "Somewhy, buildsystem don't want to use cotire 
(compile time reducer) generated pch (precompiled header) with disabled debug, 
so, you will see the warnings on each target."
-
-       local mycmakeargs=(
-               -DDATA_DIR="${MY_DATADIR}"
-               -DLIB_DIR="${MY_LIBDIR}"
-               -DBIN_DIR="${MY_BINDIR}"
-               $(cmake-utils_use_enable erm ERM)
-               $(cmake-utils_use_enable editor EDITOR)
-               $(cmake-utils_use_enable launcher LAUNCHER)
-       )
-       export CCACHE_SLOPPINESS="time_macros"
-       cmake-utils_src_configure
-}
-
-src_install() {
-       cmake-utils_src_install
-       prepgamesdirs
-}
-
-pkg_postinst() {
-       games_pkg_postinst
-}

diff --git a/games-strategy/vcmi/vcmi-0.99.ebuild 
b/games-strategy/vcmi/vcmi-0.99.ebuild
new file mode 100644
index 0000000..bf28be7
--- /dev/null
+++ b/games-strategy/vcmi/vcmi-0.99.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=7
+
+inherit eutils cmake-utils flag-o-matic
+
+DESCRIPTION="Heroes of Might and Magic III game engine rewrite"
+HOMEPAGE="http://forum.vcmi.eu/index.php";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="+debug erm +launcher"
+
+CDEPEND="
+       media-libs/libsdl2[video]
+       media-libs/sdl2-image
+       media-libs/sdl2-mixer
+       media-libs/sdl2-ttf
+       virtual/ffmpeg
+       sys-libs/zlib[minizip]
+       launcher? (
+               dev-qt/qtgui
+               dev-qt/qtcore
+               dev-qt/qtnetwork
+               dev-qt/qtwidgets
+       )
+       dev-libs/fuzzylite
+"
+
+BDEPEND="
+       >dev-libs/boost-1.48.0
+       virtual/pkgconfig
+"
+DEPEND="
+       ${BDEPEND}
+       ${CDEPEND}
+"
+RDEPEND="
+       ${CDEPEND}
+"
+PDEPEND="
+       games-strategy/vcmi-data
+"
+
+pkg_pretend() {
+       ewarn 'Looks like current this release is incompatible with modern 
boost and fails to compile.'
+       ewarn 'Please, report me in case if it will build fine for you'
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_ERM=$(usex erm)
+               -DENABLE_LAUNCHER=$(usex launcher)
+               -DENABLE_PCH=$(usex debug)
+               # ^ cc1plus: warning: 
.../work/vcmi-0.99_build/lib/cotire/vcmi_CXX_prefix.hxx.gch: not used because 
`NDEBUG' is defined [-Winvalid-pch]
+               # (cmake-utils_src_configure somewhy defines -DNDEBUG in 
release build. I dunno why on the earth it's author did that)
+               -DENABLE_MONOLITHIC_INSTALL=OFF
+               # ^ or not?
+       )
+       export CCACHE_SLOPPINESS="time_macros"
+       cmake-utils_src_configure
+       strip-cppflags -DNDEBUG
+}
+
+src_install() {
+       cmake-utils_src_install
+}

Reply via email to